Bug 1460356 - Ansible Service Catalog Template Job not honoring provider zone
Ansible Service Catalog Template Job not honoring provider zone
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.7.0
Unspecified Unspecified
high Severity medium
: GA
: 5.8.1
Assigned To: Tina Fitzgerald
Pavol Kotvan
: ZStream
Depends On: 1451473
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 16:11 EDT by Satoe Imaishi
Modified: 2017-08-02 13:29 EDT (History)
8 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1451473
Environment:
Last Closed: 2017-08-02 13:29:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-09 16:16:06 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/456b5ac7d409abd5a1010734bb7e161148da821b

commit 456b5ac7d409abd5a1010734bb7e161148da821b
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed May 31 15:46:47 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jun 9 16:12:04 2017 -0400

    Merge pull request #15233 from tinaafitz/ansible_tower_my_zone
    
    Add my_zone to ansible tower service template.
    (cherry picked from commit e871897e55349892d83a4f52bc8b21d499e3dac6)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460356

 app/models/service_template_ansible_tower.rb       |  4 ++++
 spec/models/service_template_ansible_tower_spec.rb | 19 +++++++++++++++++++
 2 files changed, 23 insertions(+)
Comment 4 Tina Fitzgerald 2017-06-29 11:34:54 EDT
Hi Pavol,

The fix for this issue is for Ansible Tower, not Embedded Ansible, so it should be easier to test.

1. Setup 2 appliances, each having their own zone, zone1 and zone2.
2. Add Ansible Tower provider to zone2,
3. Create Ansible Tower Service item.
4. Order the Service. The work will be put on the queue for zone2 and the Service provision will complete successfully.
5. Stop the appliance for zone2.
6. Order the Service. The Service will not be provisioned.
7. Check the evm.log for a message showing the work being put on the queue, but never taken off. (Search for zone2 from the bottom, searching backwards) 
Message will have this: "MIQ(MiqQueue.put) Message id" and a reference to zone2.  

Let me know if you have any questions.

Thanks,
Tina
Comment 6 Tina Fitzgerald 2017-06-29 14:13:51 EDT
Hi Pavol,

Can I access your environment?

Thanks,
Tina
Comment 8 Tina Fitzgerald 2017-06-30 09:53:56 EDT
Hi Pavol,

I cant access either appliance.
Can you check it out?

Thanks,
Tina
Comment 10 Tina Fitzgerald 2017-07-05 09:15:35 EDT
Hi Pavol,

Thanks for the update. That's great news.

Thanks,
Tina
Comment 12 errata-xmlrpc 2017-08-02 13:29:29 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.